image: registry.gitlab.com/neuroeventlabs/tools/web-player/ci

build:
  stage: build
  variables:
    GST_PLUGIN_PATH: /usr/local/lib64/gstreamer-1.0
  script:
  - ./tools/generate-webm-files.sh
  - yarn
  - yarn build-storybook
  cache:
    key:
      files:
      - package.json
      - yarn.lock
    paths:
    - node_modules
    - static
  artifacts:
    paths:
    - storybook-static

pages:
  stage: deploy
  script:
  - echo "The site will be deployed to ${CI_PAGES_URL}"
  - mv storybook-static public
  artifacts:
    paths:
    - public
  rules:
  - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
